Bug 67332 - mailman upgrade clobbers config file mm_cfg.py
mailman upgrade clobbers config file mm_cfg.py
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-22 15:34 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-24 16:03:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-22 15:34:00 EDT
When upgrading mailman from version 2.08 to the errata'ed version 2.0.11, the
configuration file /var/mailman/Mailman/mm_cfg.py was overwritten.  This loses
important configuration settings such as DEFAULT_HOST_NAME and DEFAULT_URL.  The
upgrade should have saved the original as mm_cfg.py.rpmsave
Comment 1 Need Real Name 2002-06-22 15:45:26 EDT
changed version from 7.3==>7.2  (whoops)
Comment 2 R P Herrold 2002-07-06 17:51:37 EDT
 Additionally it seems to over-write changes in  /var/mailman/Mailman/Defaults.py  
 
It also has a permissions issue on conversion, which prevents updating service information is a settings for for 
an individual list ... relevant file name is of the form: 
 
   /var/mailman/lists/(listname)/config.db 
 
although the mechanism of failure is not completely clear to me, in a conversion from pre-MM 2.0.11 case ...
Comment 3 R P Herrold 2002-07-06 17:57:28 EDT
 ... interesting -- I diff's a snapshot before and after, and the content was changes, but the timestamp on the 
returned content not changes, so the browser (konqueror) did not update its cached copy of the content. 
 
I will file this separately ...

Note You need to log in before you can comment on or make changes to this bug.